QGIS Application - Bug report #16525
QGis 2.14.14 fails to start on Windows XP
2017-05-05 11:51 PM - C M

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Build/Install

Affected QGIS version:2.14.14 Regression?: Yes

Operating System: MS Windows XP Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24431
Description

Hi,

| haved installed QGis 2.14.13 on Windows XP (in a virtual machine) and this works fine.

Since version 2.14.14 QGis doesn't work on Windows XP. When launching QGis | have the following message:

The procedure entry point GetTickCount64 could not be located in the dynamic link library KERNEL32.dll.

This error is due to libcurll.dll that needs this procedure. The 2.14.13 version of QGis provides another version of cUrl that doesn't depend
on this procedure. When copying & replacing libcurl.dll from version 2.14.13 to 2.14.14, QGis starts successfully.

Related issues:
Duplicated by QGIS Application - Bug report # 16585: Cannot run Windows 2.18....

Closed 2017-05-19

History

#1 - 2017-05-06 11:31 AM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Pull Request or Patch supplied changed from Yes to No

- Affected QGIS version changed from 2.14.13 to 2.14.14

- Category changed from Windows Package to Build/Install

#2 - 2017-05-25 10:01 AM - Jiirgen Fischer
- Duplicated by Bug report #16585: Cannot run Windows 2.18.7-1 under 32-bit XP added

#3 - 2017-05-25 10:02 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Fixed in OSGeo4W
